import { Construct } from 'constructs';
export * as k8s from './imports/k8s';
/**
 * @stability stable
 */
export declare class ControllerStrategy {
    /**
     * @stability stable
     */
    readonly type?: string;
    /**
     * @stability stable
     */
    readonly maxUnavailable?: string;
    /**
     * @stability stable
     */
    readonly maxSurge?: string;
}
/**
 * @stability stable
 */
export declare class SealedSecretsControllerOptions {
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly namespace?: string;
    /**
     * @stability stable
     */
    readonly strategy?: ControllerStrategy;
    /**
     * @stability stable
     */
    readonly args?: string[];
    /**
     * @stability stable
     */
    readonly command?: string[];
    /**
     * @stability stable
     */
    readonly env?: string[];
    /**
     * @stability stable
     */
    readonly image?: string;
    /**
     * @stability stable
     */
    readonly runAsNonRoot?: boolean;
    /**
     * @stability stable
     */
    readonly minReadySeconds?: number;
    /**
     * @stability stable
     */
    readonly replicas?: number;
    /**
     * @stability stable
     */
    readonly selector?: string;
}
/**
 * @stability stable
 */
export declare class SealedSecretsTemplate extends Construct {
    private name;
    private namespace;
    private args;
    private command;
    private env;
    private image;
    private runAsNonRoot;
    private minReadySeconds;
    private replicas;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, options: SealedSecretsControllerOptions);
    private getStrategy;
}
